#include "UnrealProject.h"
#include "MiniMap.h"


namespace MiniMap
{
	void NodeBase::CircleOverlap(const FVector2D& position, float radius_sqr, TArray<MinimapHandle*>& out_objects)
	{
		if (objects.empty())
			return;

		for (auto iter = objects.begin(); iter != objects.end(); iter++)
		{
			MinimapHandle& obj = **iter;
			if (FVector2D::DistSquared(obj.position, position) <= radius_sqr)
				out_objects.Add(&obj);
		}
	}
}

